Compatibility#

Supported operating systems#

SpecSync is supported on all common operating systems that support .NET, including

  • Windows

  • Linux

  • MacOS

.NET Versions#

  • .NET Framework 4.6.2

  • .NET Framework 4.7.2

  • .NET Framework 4.8.1

  • .NET 6.0

  • .NET 7.0

  • .NET 8.0

Note

Reqnroll can also be installed on any .NET frameworks that supports .NET Standard 2.0, including .NET Core 3.1 and .NET 5.0, but please note that these frameworks are out of support already.

Visual Studio#

  • Visual Studio 2022 (Workloads: ASP.NET and web development or .NET Desktop environment or .NET Core cross- platform development)

Test Execution Frameworks#

  • NUnit

  • MsTest

  • xUnit